package synchronizers;

public class Customer implements Runnable {

	private Cinema cinema;
	private int customerId;
	public Customer(Cinema cinema, int customerId) {
		this.cinema = cinema;
		this.customerId = customerId;
	}
	
	public int getIdCliente() {
		return customerId;
	}

	@Override
	public void run() {
		cinema.book(customerId);
		try {
			//Stop for 20 seconds 
			Thread.sleep(20000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		cinema.release(customerId);
	}
}
