package workerservice;

import javafx.concurrent.Service;
import javafx.concurrent.Task;

public class CreateLongStringService extends Service<String> {
    private Integer max;   

	public void setMax(Integer max) {
        this.max = max;
    }    

    protected Task<String> createTask() {
        return new Task<String>() {
            protected String call() {
                    StringBuilder result = new StringBuilder();
                    for(int i = 0; i < max; i++)
                    	result.append(i+System.lineSeparator());
                    return result.toString();
            }
        };
    }
}
