package workerservice;

import javafx.application.Application;
import javafx.concurrent.WorkerStateEvent;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class Main extends Application {

    @Override
    public void start(Stage stage) throws Exception {
    	TextField field = new TextField();
    	Button b = new Button("Click here");
    	TextArea result = new TextArea();
    	
    	CreateLongStringService service = new CreateLongStringService();
        
    	
    	b.setOnAction(new EventHandler<ActionEvent>() {

			@Override
			public void handle(ActionEvent event) {
				String text = field.getText();
				int max;
				try {
				   max = Integer.parseInt(text);
				} catch(NumberFormatException e) {
					max = 10;
				}
				service.setMax(max);
				service.restart();
			}
    		
    	});
    	FlowPane pane = new FlowPane();
    	pane.getChildren().add(field);
    	pane.getChildren().add(b);
    	pane.getChildren().add(result);
    	Scene scene = new Scene(pane, 800, 800);
    	stage.setScene(scene);
    	service.setMax(10);
        service.setOnSucceeded(new EventHandler<WorkerStateEvent>() {

            @Override
            public void handle(WorkerStateEvent t) {
                result.setText(t.getSource().getValue().toString());                
            }
        });
        service.start();        
    	stage.show();
    }

    public static void main(String[] args) {
        launch();
    }

    
}