package synchronizers;

import java.util.concurrent.Semaphore;

public class Cinema {

  private Semaphore seats;

  public Cinema() {
    this.seats = new Semaphore(3);
  }

  public void book(int idCliente) {
    try {
      System.out.println("Customer " + idCliente + " required a seat");
      seats.acquire();
      System.out.println("Customer " + idCliente + " obtained a seat");
    } catch (InterruptedException e) {
      e.printStackTrace();
    }
  }

  public void release(int idCliente) {
    System.out.println("Customer " + idCliente + " release the seat");
    seats.release();
  }	
}
